Subject: bug#48811: R 4.1.0 does not build

From: [email-masked]
Date: Thu, 03 Jun 2021 09:58:46 +0000

Running ~guix build r-minimal~ fails with the following messages. Sounds like it cannot find the
style file plain.bst and some math fonts; maybe upstream changed the dependencies. Or I read it
wrong and it's some other error from the make target "vignettes-no-lattice".

Let me know if it works for you and the issue's on my end.

#+begin_example
building/updating vignettes for package 'grid' ...
processing 'grid.Rnw'
Error: compiling TeX file 'grid.tex' failed with message:
Running 'texi2dvi' on 'grid.tex' failed.
BibTeX errors:
The top-level auxiliary file: grid.aux
I couldn't open style file plain.bst
---line 33 of file grid.aux
: \bibstyle{plain
: }
I'm skipping whatever remains of this command
I found no style file---while reading file grid.aux
Execution halted
building/updating vignettes for package 'parallel' ...
building/updating vignettes for package 'utils' ...
building/updating vignettes for package 'stats' ...
processing 'reshape.Rnw'
Error: compiling TeX file 'reshape.tex' failed with message:
Running 'texi2dvi' on 'reshape.tex' failed.
LaTeX errors:
! Math formula deleted: Insufficient symbol fonts.
\endtabular ->\crcr \egroup \egroup $
\egroup
l.22 \maketitle

Execution halted
make[1]: *** [Makefile:120: vignettes-no-lattice] Error 1
make[1]: Leaving directory '/tmp/guix-build-r-minimal-4.1.0.drv-0/R-4.1.0/src/library'
make: *** [Makefile:81: vignettes] Error 2
command "make" "-j" "4"
"LDFLAGS=-Wl,-rpath=/gnu/store/qsqgl8d8cn9v55z085jlpxarbf1zss8i-r-minimal-4.1.0/lib/R/lib"
"PKG_BUILT_STAMP=1970-01-01" failed with status 2
#+end_example

--
Martin Edström